Source: haskell-raaz
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Sean Whitton <spwhitton@spwhitton.name>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 dpkg-dev (>= 1.17.14),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-hspec-dev <!nocheck>,
 libghc-hunit-dev (>= 1.2) <!nocheck>,
 libghc-quickcheck2-dev (>= 2.4) <!nocheck>,
 libghc-vector-dev (>= 0.7.1),
 libghc-vector-dev (<< 0.13),
 libghc-vector-prof,
 libghc-optparse-applicative-dev (>= 0.10.0),
 libghc-vector-dev,
 hspec-discover,
Build-Depends-Indep: ghc-doc,
 libghc-vector-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/raaz-crypto/raaz
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-raaz
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-raaz]
X-Description: cryptographic networking library for Haskell
 Raaz uses strong typing to eliminate some common errors that occur in
 cryptographic settings, such as side channel attacks.
 .
 This package implements basic types and cryptographic primitives like
 hashes, macs etc. Actual network protocols are expected to use this
 library.  Common abstractions, such as packet parsing, are part of
 this library.

Package: libghc-raaz-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-raaz-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-raaz-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: haskell-raaz-utils
Architecture: any
Section: utils
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
